Package org.apache.sysds.hops.codegen.cplan

## Enum CNodeTernary.TernaryType

- java.lang.Object
- - java.lang.Enum<CNodeTernary.TernaryType>
  - - org.apache.sysds.hops.codegen.cplan.CNodeTernary.TernaryType

- All Implemented Interfaces:
    `Serializable`, `Comparable<CNodeTernary.TernaryType>`
  Enclosing class:
    CNodeTernary

      public static enum CNodeTernary.TernaryType
      extends Enum<CNodeTernary.TernaryType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `BIASADD` |
    `BIASMULT` |
    `IFELSE` |
    `LOOKUP_RC1` |
    `LOOKUP_RVECT1` |
    `MINUS_MULT` |
    `PLUS_MULT` |
    `REPLACE` |
    `REPLACE_NAN` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static boolean` | `contains​(String value)` |
    `boolean` | `isVectorPrimitive()` |
    `static CNodeTernary.TernaryType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static CNodeTernary.TernaryType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PLUS_MULT

          public static final CNodeTernary.TernaryType PLUS_MULT

    - #### MINUS_MULT

          public static final CNodeTernary.TernaryType MINUS_MULT

    - #### BIASADD

          public static final CNodeTernary.TernaryType BIASADD

    - #### BIASMULT

          public static final CNodeTernary.TernaryType BIASMULT

    - #### REPLACE

          public static final CNodeTernary.TernaryType REPLACE

    - #### REPLACE_NAN

          public static final CNodeTernary.TernaryType REPLACE_NAN

    - #### IFELSE

          public static final CNodeTernary.TernaryType IFELSE

    - #### LOOKUP_RC1

          public static final CNodeTernary.TernaryType LOOKUP_RC1

    - #### LOOKUP_RVECT1

          public static final CNodeTernary.TernaryType LOOKUP_RVECT1

  - ### Method Detail

    - #### values

          public static CNodeTernary.TernaryType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CNodeTernary.TernaryType c : CNodeTernary.TernaryType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CNodeTernary.TernaryType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### contains

          public static boolean contains​(String value)

    - #### isVectorPrimitive

          public boolean isVectorPrimitive()